---
layout: assignment
published: true

title: AT around us
code: hw0

assigned: March 31, 2021
due:
- <strong>Slides</strong><br>
  Due 6:30pm, April 7, 2021<br>
- <strong>Presentation</strong><br>
  In-class on April 7<br>
- <strong>Peer evaluation</strong><br>
  In-class on April 7<br>
  
revised: April 3, 2021

objective: Find examples of accessibility in the world

---

* TOC
{:toc}


# Assignment Description

This assignment requires you to find two examples of accessibility technology and document them (one for computer access and one for access to the world). In each case, you will make a short video demonstrating the technology and create a slide summarizing what you found. 

## What counts as an accessibility technology

An accessibility technology is something that is used by a person with a disability to increase accessibility. It can be something that is included in the infrastructure (such as a [curb cut](https://en.wikipedia.org/wiki/Curb_cut)) or something that is used by an individual (such as [Proloque2Go](https://www.talktometechnologies.com/pages/proloquo2go), a symbol-based communication system). 

Given the themes of the class, 
- One of your two technologies should improve access to the world (such as Microsoft's [Seeing AI](https://www.microsoft.com/en-us/ai/seeing-ai)); the other should improve access to the computer (such as [sticky keys](https://en.wikipedia.org/wiki/Sticky_keys)) or a screen reader
- One of your two technologies should improve access using an infrastructure approach; the other can use an individual approach

While some technologies may be expensive or hard to get, many accessibility technologies are easily available and some are even re-purposed everyday items. To meet the requirements for this assignment, you'll also need to make sure that one of your chosen technologies is something you can try yourself (see below). 

## What do you need to turn in
This homework will have two components. A take-home component, where you will learn about two ATs used by people with disabilities, and an in-class component where you will share what you learned with the class. To deliver these two components, you will:

  - make a presentation (please read below for details).
  - present what you learned to the class for five minutes and engage in a conversation.

For this assignment, you need to meet the following requirements for each accessibility technology:

  - You should find at least one video authored by or featuring a person with a disability showing how they use the technology. For example, here is a [personal perspective on audio crosswalks](https://www.youtube.com/watch?v=xPlsYhU1HBU). Alternatively, you should find a blog or review written by a personal with a disability who would benefit from the AT that you are trying to learn about.
  - You should try at least one of the two technologies you find yourself.
  - You should create accessible slides and add it to our shared slide deck (posted in the [Class Discussion]({{site.piazza}}) and on [Canvas]({{site.canvas}})) featuring a picture of the accessibility technology, a link to the video you found, and answers to the following questions. They are guides -- you should think about which make the most sense given the technology you have chosen.  Note that you should cite the first-person accounts from people with disabilities (videos, blogs, etc.) that informed your presentation.

What is the AT: Your answer can cover a subset of these
- What is the technology?
- What does the AT do?
- What is the access gap that the AT is attempting to address?
- Why was it developed?

How well does it suit users? Again, a subset is fine 
- What are its strengths and/or weaknesses?
- What are the benefits that were not encompassed by the original intent?
- Do the intended users like it?
- What do the intended users find frustrating about using it?

The final points are things to think about, but not necessarily present on. They may help prepare you for questions you might get, or help inspire ideas for your final project for later in the class.
- If you were to work on a project to address a user-faced frustration or limitation of this AT:
- How would you improve this AT?
- How can you say that the improvement you make can address the user-level frustration or deficiency of this AT?
- If you have a chance to interview users of this technology, what would be one question you would ask, that was not answered in your search for information?


# Turn-in

You will create accessible slides with links to the video or blogs you find, pictures of the technology, a description of how to use it, and your thoughts on the questions mentioned above by the due date. You will present these slides for 5 minutes in-class.

### Grading 

This homework will be approval graded, meaning that you will fill out a brief rubric about this homework and a classmate and/or instructor will verify it. 

**Five** points will be assigned to the peer grade, consisting of
- Student described how this technology solves an accessibility problem. 
- Student described how the technology suits the needs of its intended users.
- The presentation surfaces a limitation or frustration that the intended users have with the technology chosen.
- The perspective shared in this presentation is informed by first-person accounts of the technology's users.

**Four** points will be assigned to the self assessment, consisting of
- I learned how this technology solves an accessibility problem.
- I was able to convey a limitation or frustration that the intended users have with the technology chosen.
- My presentation is informed by first-person accounts of the technology's users.
- I provided image descriptions in the presentation

**One** point will be assigned by the instructors based on completeness
