---
layout: assignment
published: true

title: Build a Better Button
code: ex3

assigned: Date
due:
 - <strong>Due</strong> date
 - <strong>Lock</strong> date

revised: date

objective: Learn about physical computing

---
# Learning Goals for the Project

- Learn about Circuit design
- Learn how to communicate between an Arduino and your phone
- Build a simple circuit that is enhanced by its connection to your phone

# Basic Requirements for Project
Your project should demonstrate your ability to either:

- Take input from at least one button (or other sensor), and connect it to some interesting service
- Your focus should be on circuit design and Arduino programming. You don’t need to create a custom phone app. You can if you want create a custom case or button using 3d printing.


You should make a case for why this is an assistive technology of some sort. For example, you could build a door opening sensor (using a button or proximity sensor) that causes your phone to announce the door was opened, or a single switch control for scrolling or tabbing through a web page, or a capacitive sensor that captures a log of how often a cane is used.

There is some great software that con be connected to the Arduino including [1Shield](https://1sheeld.com/), [AppInventor](https://appinventor.mit.edu/), [Blynk](https://blynk.io/) and [IFTTT](https://learn.adafruit.com/heybrows/ifttt). Some work only for Android, others for both Android and iPhone.

There are lots of really great examples online of arduino based projects, arduino projects that involve smartphones, and arduino projects that involve 3D printing or laser cutting. Many of them are too complex for the expectations of this project, though they might help to inspire final projects, or give you ideas for something simple you can do in a week. Here is a sample:

Thingiverse items [tagged with Arduino](https://www.thingiverse.com/tag:arduino/). Some examples:
- [A custom keypad](https://www.thingiverse.com/thing:3810124)
- [A wireless power monitor](https://www.thingiverse.com/thing:3669366)
- [A servo thermometer](https://www.thingiverse.com/thing:3587113)
- [A bottle-cap key](https://www.thingiverse.com/thing:3551855)

[Arduino project hub](https://create.arduino.cc/projecthub) Some examples:
- [A smartphone-controlled lamp](https://create.arduino.cc/projecthub/andriy-baranov/smartphone-controlled-lamp-arduino-mit-app-inventor-1ca0ae)
- [A printer for your notifications](https://create.arduino.cc/projecthub/9263/iot-notes-printer-your-smartphone-notes-on-paper-12c2fc?ref=tag&ref_id=smartphone&offset=4)
- [A whiteboard eraser](https://create.arduino.cc/projecthub/mahayad93/automated-controlled-board-eraser-using-arduino-and-1sheeld-000f42?ref=tag&ref_id=smartphone&offset=3)
- [A door knock notifier](https://create.arduino.cc/projecthub/portabl3lapy/door-knock-notifier-b646be?ref=tag&ref_id=sensor&offset=109)
- [A weather dressing adviser](https://create.arduino.cc/projecthub/trduunze/arduino-101-clothes-recommender-48671c?ref=tag&ref_id=sensor&offset=89)
- [A color sensor](https://create.arduino.cc/projecthub/moretticb/color-sensor-prototype-detect-color-name-from-objects-c4f7d6?ref=tag&ref_id=sensor&offset=48) (uses machine learning)

# Hand in


Create a Thingiverse or Instructables page for your project with a brief description of the project, a video, any 3D printed files, and a schematic for your circuit. Turn the URL in by email with the subject: Project 2. Be prepared to demo your project in class.

| POINTS | DESCRIPTION                                                       |
|--------|-------------------------------------------------------------------|
| 1 or 0 | Project uses physical computing to solve an accessibility problem |
| 1 or 0 | Project communicates with your phone in some way                  |
| 1 or 0 | Project includes a working circuit that you designed              |
| 1 or 0 | Project includes at least one button                              |
| 1 or 0 | Project includes some kind of response to the button              |
| 1 or 0 | Thingiverse or Instructables page describes project in a reproducable fashion.|

